package com.yd.api.agms.vo.practitioner;

import com.github.pagehelper.PageInfo;
import com.yd.api.result.CommonResult;

import java.util.List;

/**
 * @author xxy
 */
public class PractitionerFileSharingListResponseVO {

    private SharePractitionerInfo sharePractitionerInfo;

    private PageInfo<PractitionerFileSharing> practitionerFileShares;

    private CommonResult commonResult;


    /**
     * 获取
     *
     * @return the practitionerFileSharings
     */
    public PageInfo<PractitionerFileSharing> getPractitionerFileShares() {
        return this.practitionerFileShares;
    }

    /**
     * 设置
     *
     * @param practitionerFileShares the  to set
     */
    public void setPractitionerFileShares(PageInfo<PractitionerFileSharing> practitionerFileShares) {
        this.practitionerFileShares = practitionerFileShares;
    }

    /**
     * 获取
     *
     * @return the commonResult
     */
    public CommonResult getCommonResult() {
        return this.commonResult;
    }

    /**
     * 设置
     *
     * @param commonResult the  to set
     */
    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    public SharePractitionerInfo getSharePractitionerInfo() {
        return sharePractitionerInfo;
    }

    public void setSharePractitionerInfo(SharePractitionerInfo sharePractitionerInfo) {
        this.sharePractitionerInfo = sharePractitionerInfo;
    }

    @Override
    public String toString() {
        return "PractitionerFileSharingListResponseVO{" +
                "sharePractitionerInfo=" + sharePractitionerInfo +
                ", practitionerFileShares=" + practitionerFileShares +
                ", commonResult=" + commonResult +
                '}';
    }
}
